개요[편집]

가온 위키 내에 있는 다양한 오류들을 제거하는 것을 목표로 합니다.

1차적인 목표는 PHP 오류 중 Deprecated가 난 것들부터 수정하고, 더 나아가서는 개발자도구에 있는 모든 오류들을 제거하는 것이 최종 목표입니다.

현재 오류 내역[편집]

가온 위키[편집]

Deprecated 오류[편집]

미디어위키는 PHP를 사용하는데, PHP의 문법 등이 더이상 사용되지 않을 경우에는 Deprecated 오류를 뿜어냅니다. Deprecated 오류가 나는 것들은 다음 버전때에는 사용할 수 없습니다. 따라서 Deprecated 오류나는 것들을 수정해야합니다. Deprecated 오류나는것들은 다음과 같습니다.


Deprecated
Deprecated: Premature access to service 'HookContainer' [Called from MediaWiki\MediaWikiServices::getInstance in /var/www/html/w/includes/MediaWikiServices.php at line 267] in /var/www/html/w/includes/debug/MWDebug.php on line 375 Deprecated: Premature access to service 'ObjectFactory' [Called from Wikimedia\Services\ServiceContainer::{closure} in /var/www/html/w/includes/ServiceWiring.php at line 618] in /var/www/html/w/includes/debug/MWDebug.php on line 375

Deprecated
Deprecated: Premature access to service 'ConfigFactory' [Called from EmbedVideoHooks::onExtension in /var/www/html/w/extensions/EmbedVideo/EmbedVideo.hooks.php at line 77] in /var/www/html/w/includes/debug/MWDebug.php on line 375

Deprecated
Deprecated: Premature access to service 'BootstrapConfig' [Called from Wikimedia\Services\ServiceContainer::{closure} in /var/www/html/w/includes/ServiceWiring.php at line 346] in /var/www/html/w/includes/debug/MWDebug.php on line 375

Deprecated
Deprecated: Use of userCan hook (used in JsonConfig\JCSingleton::onuserCan) was deprecated in MediaWiki 1.37. [Called from MediaWiki\HookContainer\HookContainer::run in /var/www/html/w/includes/HookContainer/HookContainer.php at line 137] in /var/www/html/w/includes/debug/MWDebug.php on line 375

개발자 도구 오류[편집]

브라우저들에는 개발자 도구가 내장되어 있습니다. 디버깅을 편하게 하기 위한 도구입니다. 브라우저마다 다르긴 하지만, 거의 대부분 F12를 누르면 콘솔창(Console)에 다양한 오류들이 뜨는데, 개발자 도구에서 오류가 나는 항목은 다음과 같습니다.


Uncaught SyntaxError

DevTools failed to load source map
DevTools failed to load source map: Could not load content for https://unpkg.com/share-api-polyfill/dist/share-min.js.map: HTTP error: status code 404, net::ERR_HTTP_RESPONSE_CODE_FAILURE

ResourceLoader
This page is using the deprecated ResourceLoader module "skins.liberty.styles". [1.37] The use of the `legacy` feature with ResourceLoaderSkinModule is deprecated(T89981). More information can be found at [[mw:Manual:ResourceLoaderSkinModule]].

수정내역[편집]